Subject: [OAUTH-WG] Shepherd Write-Up for <draft-ietf-oauth-assertions-08>

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 3 Dec 2012 10:39:17 +0200

Hi Stephen, Hi IESG secretary, 

the OAuth working group considers <draft-ietf-oauth-assertions-08> ready for publication. Please advance the document. The shepherd writeup can be found below. 

Ciao
Hannes

----------------

Writeup for Assertion Framework for OAuth 2.0 <draft-ietf-oauth-assertions-08>

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)? Why is this the proper type of RFC? Is this type of RFC indicated in the title page header?

The RFC type is 'Standards Track' and the type is indicated in the title page. Although the document is architectural in nature it is the umbrella document for two other 'Standards Track' specifications that extend this document with SAML and JSON specific details. 

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:

   The Assertion Framework for OAuth 2.0 allows the use of assertions
   in the form of a new client authentication mechanism
   and a new authorization grant type.  Mechanisms are specified for
   transporting assertions during interactions with a token endpoint, as
   well as general processing rules.

   The intent of this specification is to provide a common framework for
   OAuth 2.0 to interwork with other identity systems using assertions,
   and to provide alternative client authentication mechanisms.

   Note that this specification only defines abstract message flows and
   processing rules.  In order to be implementable, companion
   specifications are necessary to provide the corresponding concrete
   instantiations.

Working Group Summary:

Was there anything in WG process that is worth noting? For example, was there controversy about particular points or were there decisions where the consensus was particularly rough?

There was no controversy around this document. 

Document Quality:

The working group decided to separate the framework for assertion handling from instance documents supporting SAML assertion and JSON-based encoded tokens. Readers who want to implement the functionality also need to consult one of the extension documents, such as <draft-ietf-oauth-saml2-bearer>. 

Personnel:

The document shepherd is Hannes Tschofenig and the responsible area director is Stephen Farrell. 

(3) Briefly describe the review of this document that was performed by the Document Shepherd. If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.

The draft authors believe that this document is ready for publication. The document shepherd has reviewed the document and provided detailed comments. Those review comments have been taken into account and have lead to clarifications regarding the claimed security benefits.   

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?

This document has gotten feedback from the working group but certainly not to the extend other OAuth working group documents, like the OAuth Core specification and the OAuth Bearer Token specification, had received. This can be explained by the focused use cases. The ability to use assertions in the way described by the document is not needed in every deployment. 

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.

Additional feedback from the security community would be appreciated. Also, it would be helpful to get additional reviews from outside the group from people already using assertions to ensure that the use cases and the offered security benefits are well understood.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.

The shepherd still believes that the document authors could have done a better job in explaining the use cases for which the proposed functionality are applicable. The concerns have been raised in http://www.ietf.org/mail-archive/web/oauth/current/msg09961.html

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?

The shepherd has gotten a confirmation from the authors that no IPR disclosures are needed. 

(8) Has an IPR disclosure been filed that references this document? If so, summarize any WG discussion and conclusion regarding the IPR disclosures.

No IPR disclosures have been filed. 

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

Only a subset of working group participants have reviewed the document but enough to move forward with the publication.  However, because the SAML and JWT Assertion Profiles based on it have been implemented and are being used by a number of parties, we have high confidence in the sufficiency and accuracy of the document text.

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

No appeal or extreme discontent has been raised. 

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.

The document has been verified and contains no nits. 

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, media type, and URI type reviews.

There is no such review necessary. 

(13) Have all references within this document been identified as either normative or informative?

Yes. 

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?

No. 

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.

No, there is no need for a downref. 

(16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.

The publication of this document does not change the status of other RFCs. 

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 5226).

The document adds three values to an existing registry established with RFC 6749. 

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.

The document only adds entries to existing registries and does not define any new registries. 

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, etc.

There are only snippets for examples and no pseudo code is contained that requires validation.